# DMMGSetISColoringType

type of coloring used to compute Jacobian via finite differencing

### Synopsis

    #include "petscda.h"
    #include "petscmg.h"
    #include "petscdmmg.h"
    #include "petscmat.h"
    PetscErrorCode DMMGSetISColoringType(DMMG *dmmg,ISColoringType isctype)

Collective on DMMG

### Input Parameter

| dmmg | - the context
| isctype | - IS_COLORING_GHOSTED (default) or IS_COLORING_GLOBAL

### Options Database

-dmmg_iscoloring_type <ghosted or global> - Notes: ghosted coloring requires using DMMGSetSNESLocal()

### See Also

DMMGCreate(), DMMGDestroy, DMMGSetKSP(), DMMGSetSNES(), DMMGSetInitialGuess(), DMMGSetSNESLocal()

Level:intermediate
Location: src/snes/utils/damgsnes.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex31.c.html